//
//  ClearBackgroundExampleAppDelegate.m
//  ClearBackgroundExample
//
//  Created by Woo Ram Park on 09. 04. 10.
//  Copyright __MyCompanyName__ 2009. All rights reserved.
//

#import "ClearBackgroundExampleAppDelegate.h"

@implementation ClearBackgroundExampleAppDelegate

@synthesize window;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    

	UILabel *notClearedbackground = [[UILabel alloc] initWithFrame:CGRectMake(20.0f, 100.0f, 280.0f, 50.0f)];
	[notClearedbackground setText:@"I have a background color"];
	[window addSubview:notClearedbackground];
	[notClearedbackground release];
	
	UILabel *clearedbackground = [[UILabel alloc] initWithFrame:CGRectMake(20.0f, 200.0f, 280.0f, 50.0f)];
	[clearedbackground setText:@"I'm transparent background"];
	[clearedbackground setBackgroundColor:[UIColor clearColor]];
	[window addSubview:clearedbackground];
	[clearedbackground release];
    
	[window setBackgroundColor:[UIColor grayColor]];
    [window makeKeyAndVisible];
}


- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
